// lg break point
@include media-breakpoint-up(lg) {
  .parallax {
    padding-top: 1rem;
    min-height: auto !important;
    position: relative !important;
    padding-bottom: 0 !important;
    background: none !important;

    & .scroll-cards-warpper {
      display: none !important;
    }

    & .dasboard-card {
      // background-color: #196be5;
      border-radius: 10px;

    }

    & .rate-info-slider {
      display: none;
    }

  }

  .mobile-scroll-up-on-div {
    margin-top: 0px !important;
    border-radius: 0 !important;
    // background-color: #f6f7fc00 !important;

    & .mobile-btn-common {
      display: none;
    }

    // & .why-invest-wrapper{
    //     display:none;
    // }


    & .my-investment-wrapper {
      display: none;
    }

    & .watchlist-wrapper {
      display: none;
    }
  }

}

// common header
.card-headers {
  & .card-title {
    @include muli-bold(16px);
    color: #434343;
    margin-bottom: 0;
  }

  & .card-action {
    a {
      @include muli-regular(12px);
      cursor: pointer;
    }
  }
}

// myinvestment
.my-investment-wrapper {
  & .card {
    box-shadow: 0px 1px 2px #72727269;
    border-radius: 10px;

    & .card-body {
      padding: 12px;

      & span {
        display: block;

        &.card-text {
          @include muli-light(12px);
        }
      }

      & .card-link {
        @include muli-semibold(12px);
      }
    }
  }
}

//paralaxcss
.parallax {
  // background: transparent linear-gradient(180deg, #196be5 0%, #5E519A 100%) 0% 0% no-repeat padding-box;
  // min-height: 296px;
  // position: sticky;
  // top: 0px;
  // padding-bottom: 16px;
  & .heading{
    @include muli-semibold(14px);
    color: #434343;
    margin-bottom: 10px;
  }
 





}
// chart tab css
.chart-heading{
  @include muli-semibold(14px);
  color: #434343;
}
.chart-tab {
  app-nav-tabs{
    padding: 14px 2px;
    &::before{
      border-bottom: 0px solid #c9c9c9;
    }
  .nav {
      // width: 47%;
      .nav-link {
        // padding: 11px 32px;
        text-align: center;
        background-color: #E7EDF8;
        color: #5A5A5A;
        border-radius: 10px;
        @include muli-regular(14px);
        @include media-breakpoint-up(md) { 
          padding: 11px 74px;
          }

        &.active {
          background: #FFFFFF;
          color: #455FB4;
          border-bottom-color: transparent;
          @include media-breakpoint-up(md) { 
            box-shadow: 0px 0px 3px #72727269;
          }
        }
      }
  }
}
}

// css scroll mobile up
.mobile-scroll-up-on-div {
  // background-color: #FFFFFF;
  // margin-top: -16px;
  border-top-left-radius: 16px;
  border-top-right-radius: 16px;
  position: relative;
  z-index: 99;
  margin-bottom: 0px;

}

// watchlist tabs 
.watchlist-tabs {
  & app-nav-tabs::before {
    border: none;
  }

  & app-nav-tabs {

    & .nav {
      flex-wrap: nowrap;

      & .nav-link {
        @include muli-regular(12px);
        padding: 7px 9px;
        white-space: nowrap;

        &.active {
          @include muli-bold(12px);
        }
      }
    }
  }

}

.why-invest-wrapper {
  & .card-wrapper {
    display: flex;
    flex-wrap: wrap;

    & .card {
      box-shadow: 0px 1px 2px #72727269;
      border-radius: 10px;
      width: 100%;
      margin-bottom: 15px;

      & .card-body {
        padding: 1rem;

        & .card-img {
          max-width: 48px;
          max-height: 48px;
        }

        & .title {
          @include muli-bold(13px);
        }

        & .sub-title {
          @include muli-regular(9px);
          color: $gray-600;
          white-space: nowrap;
          text-overflow: ellipsis;
          overflow: hidden;
        }
      }
    }
  }
}

// news 
.news-warpper {
  & .card-headers {
    & .card-title {
      @include muli-semibold(14px);
    }

    & .card-action {
      color: #3A63BB;
      @include muli-regular(12px);
    }
  }

  & .card-group {
    display: flex;
    white-space: nowrap;
    overflow: none;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
    flex-wrap: nowrap;

    &::-webkit-scrollbar {
      width: 10px;
    }

    &::-webkit-scrollbar-thumb {
      background-image: linear-gradient(45deg, #d21625, #6179c1);
      border-radius: 20px;
    }

    &::-webkit-scrollbar-track {
      background: #ddd;
      border-radius: 20px;
    }

    & .card {
      cursor: pointer;
      min-width: 293px;
      border-radius: 10px;
      margin-bottom: 0;
      overflow: hidden;
      margin: 10px 0px 33px 0px;

      & .card-img-wrap {
        height: 155px;
        background-color: #cacddd;
        overflow: hidden;
        border-bottom: 1px solid #e5e5e5;

        & img {
          width: 100%;
          transform: translateY(-50%);
          top: 50%;
          position: relative;
          height: auto;
        }
      }

      & .card-body {
        white-space: break-spaces;

        & span {
          display: block;

          &.card-title {
            @include muli-bold(14px);
            margin-bottom: 0px;
            text-overflow: ellipsis;
            display: -webkit-box;
            -webkit-line-clamp: 2;
            -webkit-box-orient: vertical;
            max-height: 42px;
            overflow: hidden;
          }

          &.card-text {
            @include muli-light(12px);
            text-overflow: ellipsis;
            display: -webkit-box;
            -webkit-line-clamp: 6;
            -webkit-box-orient: vertical;
            overflow: hidden;
          }

          &.card-date {
            @include muli-semibold(10px);
          }
        }
      }
    }
  }

  & .card-group::-webkit-scrollbar {
    display: none;
  }

}

// mywatch list
.my-watch-list-wrapper {
  & .header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 1px 2px #72727269;
    margin-bottom: 2px;

    &>span {
      @include muli-bold(14px);
      color: #196be5;
    }
  }

  & .list-group {
    & .list-group-item {
      & app-info-card {
        border-radius: 0px;
        box-shadow: none;
        border: 0;
      }

    }
  }

  & .watch-list-empty-wrapper {
    box-shadow: 0px 1px 2px #72727269;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;

    & .watch-list-empty {
      padding: 0px 64px;

      & .title {
        @include muli-bold(14px);
      }

      & .text {
        @include muli-regular(12px);
      }
    }

    & .btn {
      @include muli-semibold(14px);
      padding: 11px 70px;
    }
  }
}

// component watchlist

// performance-chart 
.performance-chart-wrapper {
  & .card-headers {
    & .card-title {
      @include muli-semibold(14px);
      text-transform: capitalize;
    }

    & .card-action {
      color: #3A63BB;
      @include muli-regular(12px);
    }
  }
}

// investment chart 
.investment-chart-wrapper {
  & .card-headers {
    & .card-title {
      @include muli-semibold(14px);
      text-transform: capitalize;
    }

    & .card-action {
      color: #3A63BB;
      @include muli-regular(12px);
    }
  }
}

.charts {
  // margin-top: 1rem;

  & .space {
    padding: 1rem
  }
}

app-top-sectors{
  @include media-breakpoint-up(md) {
    & .topsector-wrapper{
      margin-top: 34px;
    }

  }
}


@include media-breakpoint-down(xs) {
  .watchlist-wrapper {
    & .card-headers{
      @include muli-bold(16px);
    }
      & .card-list-body {
        display: flex;
        overflow: none;
        overflow-y: scroll;
        -webkit-overflow-scrolling: touch;
        white-space: nowrap;

        app-info-card {
          min-width: 160px;
          min-height: 152px;
          max-width: 160px;
          white-space: break-spaces;
          margin-right: 10px;

          & .card-body {
            padding: 18px 6px 22px 15px;

            & .watchlist-scroll-row{
              flex-direction: column;
            }

            & .card-title {
              // display: flex;
              // align-items: center;
              // min-height: 42px;
              // margin-bottom: 0;
              display: flex;
              min-height: 42px;
              margin-bottom: 0;
              flex-direction: column;
              text-align: left;

              &>img {
                width: 18px;
                height: 18px;
                margin-bottom: 10px;
              }

              &>span {
                @include muli-semibold(14px);
                width: 90px;
                text-overflow: -o-ellipsis-lastline;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
              }
            }

            & .stock-type-display {
              display: none;
            }

            & .stock-type-value {
              margin-top: 31px;
              margin-bottom: 13px;
            }
          }
        }
      }
    
  }
}


.header-wrapper {
  & .refer-client {

    & .card {
      background: #196be5 0% 0% no-repeat padding-box;
      box-shadow: 0px 1px 2px #72727269;
      border-radius: 10px;

      & .card-body {
        padding: 1rem;
        & .refer-client-header-text{
          text-align: center;
          margin-bottom: 15px;

          @media (min-width: 992px) {
          text-align: left;
          margin-bottom: 0px;

          }
        }

        & .refer-btn{
          text-align: center;
          margin: 0 auto;
          margin-top: 14px;

          @media (min-width: 992px) {
          margin-top: 0px;

          }
        }
        & .icon {
          max-width: 32px;
          margin-right: 12px;
        }

        & form {

          & .form-group {
            margin-bottom: 0;

            & input {
              background-color: #c5d1ec;

              &.form-control {
                height: calc(2.2em + 0.75rem + 2px);
              }

            }

            ::placeholder {
              /* Chrome, Firefox, Opera, Safari 10.1+ */
              color: #196be5;
              opacity: 1;
              /* Firefox */
              @include muli-regular(14px);
            }

            :-ms-input-placeholder {
              /* Internet Explorer 10-11 */
              color: #196be5;
            }

            ::-ms-input-placeholder {
              /* Microsoft Edge */
              color: #196be5;
            }
          }
        }

        & .btn {
          padding: 12px;
          width: 100%;
        }
      }
    }
  }

  & .codes-details {
    margin-top: 15px;
    @media (min-width: 992px) {
      margin-top: 0px;

    }
    & .card {
      background: #F6F6F6 0% 0% no-repeat padding-box;
      box-shadow: 0px 1px 2px #72727269;
      border-radius: 10px;

      & .card-body {
        padding: 1rem;

        .text {
          @include muli-semibold(16px);
        }

        .value {
          @include muli-bold(16px);

        }
      }
    }
  }
}

.view-portfolio-card {
  background: #FFFFFF 0% 0% no-repeat padding-box;
  box-shadow: 0px 1px 2px #72727269;
  border-radius: 10px;
  margin-bottom: 10px;
  & .card-body{
    padding: 1rem;
    
    & .name{
        @include muli-bold(18px);
        margin-bottom: 8px;
    }
    & .email{
        @include muli-regular(14px);
    }
    .btn{
        @include muli-semibold(16px);

    }
  }
  


}